Bug 321755 - Fit to window after rescaling does not work properly.
Summary: Fit to window after rescaling does not work properly.
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Preview-Image (show other bugs)
Version: 3.2.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-29 10:50 UTC by Axel Krebs
Modified: 2016-07-15 18:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Krebs 2013-06-29 10:50:33 UTC
when resizing a pic in Batch Que Manager (BQM), one can choose some preselected sizes as 1280 x ????
 when going back to Album preview, and choosing fit window sitze (Ctrl-Alt-E). the shrinked pic does _not_ regain the size of the window anymore. 


Reproducible: Always

Steps to Reproduce:
1. the fit-to-window command (Ctrl-Alt-E) should work always.
2. when leaving BQM or any other part of digiKam, a modified pic and therefore a spcific view should always restore the view before pics modification.
3. The user should find exactly the situation, he had before without beeing forced to re-adjust anything
Actual Results:  
after resizing a pic, adapt-to-windows-size does _not_ work- neither manually by presing Ctrl-Alt-E nor automatically

Expected Results:  
automatical adaption to window should run everytime
Comment 1 caulier.gilles 2014-08-31 22:07:18 UTC
Axel,

This file still valid using last digiKam 4.2.0 ?

Gilles Caulier
Comment 2 caulier.gilles 2015-06-28 09:42:34 UTC
New digiKam 4.11.0 is available :

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?

Gilles Caulier
Comment 3 caulier.gilles 2015-08-20 06:54:13 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.

Gilles Caulier
Comment 4 caulier.gilles 2016-07-15 18:49:50 UTC
With digiKam 5.0.0, this problem is not reproducible.
I close this file now. Don't hesitate to re-open if necessary.
Gilles Caulier